package com.tzld.piaoquan.growth.common.dao.mapper;

import com.tzld.piaoquan.growth.common.model.po.MomentSendMessage;
import com.tzld.piaoquan.growth.common.model.po.MomentSendMessageExample;
import java.util.List;

import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

@Mapper
@Repository
public interface MomentSendMessageMapper {
    long countByExample(MomentSendMessageExample example);

    int deleteByExample(MomentSendMessageExample example);

    int deleteByPrimaryKey(Long id);

    int insert(MomentSendMessage record);

    int insertSelective(MomentSendMessage record);

    List<MomentSendMessage> selectByExample(MomentSendMessageExample example);

    MomentSendMessage selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") MomentSendMessage record, @Param("example") MomentSendMessageExample example);

    int updateByExample(@Param("record") MomentSendMessage record, @Param("example") MomentSendMessageExample example);

    int updateByPrimaryKeySelective(MomentSendMessage record);

    int updateByPrimaryKey(MomentSendMessage record);
}